(function () {

    require.config({
        paths: {
            // path configuration assumes .js suffix

            // Libraries
            'jQuery': '../libs/js/jquery-1.9.1.min',
            'underscore': '../libs/js/lodash',
            'async': '../libs/js/async',
            'asyncSeries': '../libs/js/asyncSeries',
            'testUtilities': 'testUtilities',
            'scvMockJaxCalls': '../libs/js/scvMockJaxCalls',
            'App': '../app/js/app'
        },
        shim: {
            'jQuery': {
                exports: '$'
            },
            'underscore': {
                exports: '_'
            },
            'async': {
                exports: 'async'
            },
            'asyncSeries': {
                exports: 'asyncSeries'
            }
        }
    });

    define(
        ['setup'],

        function (setup) {
            setup.initialize();
        }
    );

}());
