package com.agilex.healthcare.schedulingmanager.domain;

import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObjectCollection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.Collection;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "bookedAppointments", namespace = Namespace.SchedulingManager)
public class BookedAppointments extends DomainTransferObjectCollection<BookedAppointment> {

    private static final long serialVersionUID = -3900030648275030676L;

    @XmlElement(namespace=Namespace.SchedulingManager)
    public Collection<BookedAppointment> getBookedAppointment() {
        return this;
    }


}
