
package com.agilex.healthcare.schedulingmanager.mdws.generatedwsdl.emrservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InpatientStayTO complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InpatientStayTO">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/EmrSvc}AbstractTO">
 *       &lt;sequence>
 *         &lt;element name="patient" type="{http://mdws.domain/EmrSvc}PatientTO" minOccurs="0"/>
 *         &lt;element name="location" type="{http://mdws.domain/EmrSvc}HospitalLocationTO" minOccurs="0"/>
 *         &lt;element name="admitTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dischargeTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dischargeDiagnoses" type="{http://mdws.domain/EmrSvc}DischargeDiagnosesTO" minOccurs="0"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="adts" type="{http://mdws.domain/EmrSvc}ArrayOfAdtTO" minOccurs="0"/>
 *         &lt;element name="movementCheckinId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InpatientStayTO", propOrder = {
    "patient",
    "location",
    "admitTimestamp",
    "dischargeTimestamp",
    "dischargeDiagnoses",
    "type",
    "adts",
    "movementCheckinId"
})
public class InpatientStayTO
    extends AbstractTO
{

    protected PatientTO patient;
    protected HospitalLocationTO location;
    protected String admitTimestamp;
    protected String dischargeTimestamp;
    protected DischargeDiagnosesTO dischargeDiagnoses;
    protected String type;
    protected ArrayOfAdtTO adts;
    protected String movementCheckinId;

    /**
     * Gets the value of the patient property.
     * 
     * @return
     *     possible object is
     *     {@link PatientTO }
     *     
     */
    public PatientTO getPatient() {
        return patient;
    }

    /**
     * Sets the value of the patient property.
     * 
     * @param value
     *     allowed object is
     *     {@link PatientTO }
     *     
     */
    public void setPatient(PatientTO value) {
        this.patient = value;
    }

    /**
     * Gets the value of the location property.
     * 
     * @return
     *     possible object is
     *     {@link HospitalLocationTO }
     *     
     */
    public HospitalLocationTO getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     * 
     * @param value
     *     allowed object is
     *     {@link HospitalLocationTO }
     *     
     */
    public void setLocation(HospitalLocationTO value) {
        this.location = value;
    }

    /**
     * Gets the value of the admitTimestamp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdmitTimestamp() {
        return admitTimestamp;
    }

    /**
     * Sets the value of the admitTimestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdmitTimestamp(String value) {
        this.admitTimestamp = value;
    }

    /**
     * Gets the value of the dischargeTimestamp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDischargeTimestamp() {
        return dischargeTimestamp;
    }

    /**
     * Sets the value of the dischargeTimestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDischargeTimestamp(String value) {
        this.dischargeTimestamp = value;
    }

    /**
     * Gets the value of the dischargeDiagnoses property.
     * 
     * @return
     *     possible object is
     *     {@link DischargeDiagnosesTO }
     *     
     */
    public DischargeDiagnosesTO getDischargeDiagnoses() {
        return dischargeDiagnoses;
    }

    /**
     * Sets the value of the dischargeDiagnoses property.
     * 
     * @param value
     *     allowed object is
     *     {@link DischargeDiagnosesTO }
     *     
     */
    public void setDischargeDiagnoses(DischargeDiagnosesTO value) {
        this.dischargeDiagnoses = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the adts property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfAdtTO }
     *     
     */
    public ArrayOfAdtTO getAdts() {
        return adts;
    }

    /**
     * Sets the value of the adts property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfAdtTO }
     *     
     */
    public void setAdts(ArrayOfAdtTO value) {
        this.adts = value;
    }

    /**
     * Gets the value of the movementCheckinId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMovementCheckinId() {
        return movementCheckinId;
    }

    /**
     * Sets the value of the movementCheckinId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMovementCheckinId(String value) {
        this.movementCheckinId = value;
    }

}
