
package com.agilex.healthcare.schedulingmanager.mdws.generatedwsdl.schedulingservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HospitalLocationTO complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HospitalLocationTO">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/SchedulingSvc}AbstractTO">
 *       &lt;sequence>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="abbreviation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="department" type="{http://mdws.domain/SchedulingSvc}TaggedText" minOccurs="0"/>
 *         &lt;element name="service" type="{http://mdws.domain/SchedulingSvc}TaggedText" minOccurs="0"/>
 *         &lt;element name="specialty" type="{http://mdws.domain/SchedulingSvc}TaggedText" minOccurs="0"/>
 *         &lt;element name="stopCode" type="{http://mdws.domain/SchedulingSvc}TaggedText" minOccurs="0"/>
 *         &lt;element name="creditStopCode" type="{http://mdws.domain/SchedulingSvc}TaggedText" minOccurs="0"/>
 *         &lt;element name="facility" type="{http://mdws.domain/SchedulingSvc}SiteTO" minOccurs="0"/>
 *         &lt;element name="building" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="floor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="room" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="bed" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="phone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="appointmentTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="physicalLocation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="visitLocation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="askForCheckIn" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="appointmentLength" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="clinicDisplayStartTime" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="displayIncrements" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="maxOverbooksPerDay" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="prohibitAccessToClinic" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="availability" type="{http://mdws.domain/SchedulingSvc}TimeSlotArray" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HospitalLocationTO", propOrder = {
    "id",
    "name",
    "abbreviation",
    "department",
    "service",
    "specialty",
    "stopCode",
    "creditStopCode",
    "facility",
    "building",
    "floor",
    "room",
    "bed",
    "status",
    "phone",
    "appointmentTimestamp",
    "type",
    "physicalLocation",
    "visitLocation",
    "askForCheckIn",
    "appointmentLength",
    "clinicDisplayStartTime",
    "displayIncrements",
    "maxOverbooksPerDay",
    "prohibitAccessToClinic",
    "availability"
})
public class HospitalLocationTO
    extends AbstractTO
{

    protected String id;
    protected String name;
    protected String abbreviation;
    protected TaggedText department;
    protected TaggedText service;
    protected TaggedText specialty;
    protected TaggedText stopCode;
    protected TaggedText creditStopCode;
    protected SiteTO facility;
    protected String building;
    protected String floor;
    protected String room;
    protected String bed;
    protected String status;
    protected String phone;
    protected String appointmentTimestamp;
    protected String type;
    protected String physicalLocation;
    protected String visitLocation;
    protected boolean askForCheckIn;
    protected String appointmentLength;
    protected String clinicDisplayStartTime;
    protected String displayIncrements;
    protected String maxOverbooksPerDay;
    protected String prohibitAccessToClinic;
    protected TimeSlotArray availability;

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the abbreviation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAbbreviation() {
        return abbreviation;
    }

    /**
     * Sets the value of the abbreviation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAbbreviation(String value) {
        this.abbreviation = value;
    }

    /**
     * Gets the value of the department property.
     * 
     * @return
     *     possible object is
     *     {@link TaggedText }
     *     
     */
    public TaggedText getDepartment() {
        return department;
    }

    /**
     * Sets the value of the department property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaggedText }
     *     
     */
    public void setDepartment(TaggedText value) {
        this.department = value;
    }

    /**
     * Gets the value of the service property.
     * 
     * @return
     *     possible object is
     *     {@link TaggedText }
     *     
     */
    public TaggedText getService() {
        return service;
    }

    /**
     * Sets the value of the service property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaggedText }
     *     
     */
    public void setService(TaggedText value) {
        this.service = value;
    }

    /**
     * Gets the value of the specialty property.
     * 
     * @return
     *     possible object is
     *     {@link TaggedText }
     *     
     */
    public TaggedText getSpecialty() {
        return specialty;
    }

    /**
     * Sets the value of the specialty property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaggedText }
     *     
     */
    public void setSpecialty(TaggedText value) {
        this.specialty = value;
    }

    /**
     * Gets the value of the stopCode property.
     * 
     * @return
     *     possible object is
     *     {@link TaggedText }
     *     
     */
    public TaggedText getStopCode() {
        return stopCode;
    }

    /**
     * Sets the value of the stopCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaggedText }
     *     
     */
    public void setStopCode(TaggedText value) {
        this.stopCode = value;
    }

    /**
     * Gets the value of the creditStopCode property.
     * 
     * @return
     *     possible object is
     *     {@link TaggedText }
     *     
     */
    public TaggedText getCreditStopCode() {
        return creditStopCode;
    }

    /**
     * Sets the value of the creditStopCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaggedText }
     *     
     */
    public void setCreditStopCode(TaggedText value) {
        this.creditStopCode = value;
    }

    /**
     * Gets the value of the facility property.
     * 
     * @return
     *     possible object is
     *     {@link SiteTO }
     *     
     */
    public SiteTO getFacility() {
        return facility;
    }

    /**
     * Sets the value of the facility property.
     * 
     * @param value
     *     allowed object is
     *     {@link SiteTO }
     *     
     */
    public void setFacility(SiteTO value) {
        this.facility = value;
    }

    /**
     * Gets the value of the building property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBuilding() {
        return building;
    }

    /**
     * Sets the value of the building property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBuilding(String value) {
        this.building = value;
    }

    /**
     * Gets the value of the floor property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFloor() {
        return floor;
    }

    /**
     * Sets the value of the floor property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFloor(String value) {
        this.floor = value;
    }

    /**
     * Gets the value of the room property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRoom() {
        return room;
    }

    /**
     * Sets the value of the room property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRoom(String value) {
        this.room = value;
    }

    /**
     * Gets the value of the bed property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBed() {
        return bed;
    }

    /**
     * Sets the value of the bed property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBed(String value) {
        this.bed = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the phone property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhone() {
        return phone;
    }

    /**
     * Sets the value of the phone property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhone(String value) {
        this.phone = value;
    }

    /**
     * Gets the value of the appointmentTimestamp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAppointmentTimestamp() {
        return appointmentTimestamp;
    }

    /**
     * Sets the value of the appointmentTimestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAppointmentTimestamp(String value) {
        this.appointmentTimestamp = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the physicalLocation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhysicalLocation() {
        return physicalLocation;
    }

    /**
     * Sets the value of the physicalLocation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhysicalLocation(String value) {
        this.physicalLocation = value;
    }

    /**
     * Gets the value of the visitLocation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVisitLocation() {
        return visitLocation;
    }

    /**
     * Sets the value of the visitLocation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVisitLocation(String value) {
        this.visitLocation = value;
    }

    /**
     * Gets the value of the askForCheckIn property.
     * 
     */
    public boolean isAskForCheckIn() {
        return askForCheckIn;
    }

    /**
     * Sets the value of the askForCheckIn property.
     * 
     */
    public void setAskForCheckIn(boolean value) {
        this.askForCheckIn = value;
    }

    /**
     * Gets the value of the appointmentLength property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAppointmentLength() {
        return appointmentLength;
    }

    /**
     * Sets the value of the appointmentLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAppointmentLength(String value) {
        this.appointmentLength = value;
    }

    /**
     * Gets the value of the clinicDisplayStartTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getClinicDisplayStartTime() {
        return clinicDisplayStartTime;
    }

    /**
     * Sets the value of the clinicDisplayStartTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setClinicDisplayStartTime(String value) {
        this.clinicDisplayStartTime = value;
    }

    /**
     * Gets the value of the displayIncrements property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDisplayIncrements() {
        return displayIncrements;
    }

    /**
     * Sets the value of the displayIncrements property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDisplayIncrements(String value) {
        this.displayIncrements = value;
    }

    /**
     * Gets the value of the maxOverbooksPerDay property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaxOverbooksPerDay() {
        return maxOverbooksPerDay;
    }

    /**
     * Sets the value of the maxOverbooksPerDay property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaxOverbooksPerDay(String value) {
        this.maxOverbooksPerDay = value;
    }

    /**
     * Gets the value of the prohibitAccessToClinic property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProhibitAccessToClinic() {
        return prohibitAccessToClinic;
    }

    /**
     * Sets the value of the prohibitAccessToClinic property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProhibitAccessToClinic(String value) {
        this.prohibitAccessToClinic = value;
    }

    /**
     * Gets the value of the availability property.
     * 
     * @return
     *     possible object is
     *     {@link TimeSlotArray }
     *     
     */
    public TimeSlotArray getAvailability() {
        return availability;
    }

    /**
     * Sets the value of the availability property.
     * 
     * @param value
     *     allowed object is
     *     {@link TimeSlotArray }
     *     
     */
    public void setAvailability(TimeSlotArray value) {
        this.availability = value;
    }

}
