package com.agilex.healthcare.schedulingmanager.exception;

import com.agilex.healthcare.mobilehealthplatform.domain.ValidationErrors;
import com.agilex.healthcare.schedulingmanager.domain.SMAppointmentRequest;


public class InvalidAppointmentRequestException extends RuntimeException {
	private static final long serialVersionUID = 6483364589124871027L;
	
	private final ValidationErrors<SMAppointmentRequest> errors;

	public InvalidAppointmentRequestException(ValidationErrors<SMAppointmentRequest> errors){
		this.errors = errors;
	}
	
	public ValidationErrors<SMAppointmentRequest> getErrors(){
		return errors;
	}
}
