package com.agilex.healthcare.schedulingmanager.exception;

import com.agilex.healthcare.mobilehealthplatform.domain.ValidationErrors;
import com.agilex.healthcare.schedulingmanager.domain.SMAppointmentRequestMessage;

public class InvalidAppointmentRequestMessageException extends RuntimeException {
    private static final long serialVersionUID = 6483364589124871027L;

    private final ValidationErrors<SMAppointmentRequestMessage> errors;

    public InvalidAppointmentRequestMessageException(ValidationErrors<SMAppointmentRequestMessage> errors){
        this.errors = errors;
    }

    public ValidationErrors<SMAppointmentRequestMessage> getErrors(){
        return errors;
    }
}
