package com.agilex.healthcare.schedulingmanager.exception;


import com.agilex.healthcare.mobilehealthplatform.domain.ValidationErrors;
import com.agilex.healthcare.schedulingmanager.domain.SMPatientPreference;

public class InvalidPreferenceDetailsException extends RuntimeException {

	private static final long serialVersionUID = -6987230725868727845L;
	
	private final ValidationErrors<SMPatientPreference> errors;
	
	public InvalidPreferenceDetailsException(ValidationErrors<SMPatientPreference> errors){
		this.errors = errors;
	}
	
	public ValidationErrors<SMPatientPreference> getErrors(){
		return errors;
	}
	
}
