define([
	'Global',
	'WaitListEntry'
],
    function (Global, WaitListEntry) {
        'use strict';
        return Backbone.Collection.extend({
            model: WaitListEntry,
            initialize: function (options) {
                this.options = options || {};
				this.type = options ? options.type : "";
            },
            parse: function (response) {
	            return response.waitListEntry;
            },
            findById: function (id) {
                return this.find(function (model) {
                    return model.get("waitListId") === id;
                });
            }
        });
    }
);